Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.security.authorization
Interface PolicyEditorMBean

All Superinterfaces:
  weblogic.descriptor.DescriptorBean, PolicyReaderMBean, weblogic.descriptor.SettableBean, weblogic.management.commo.StandardInterface

    public interface PolicyEditorMBean

extends PolicyReaderMBean

Provides a set of methods for creating, editing, and removing policies. An Authorization-provider MBean can optionally extend this MBean. The WebLogic Server Administration Console detects when an Authorization provider extends this MBean and automatically provides a GUI for using these methods.

### Deprecation of MBeanHome and Type-Safe Interfaces

In addition to being used as a base class that provides functionality to security provider MBeans, JMX applications can use this class directly as a type-safe interface. When used as a type-safe interface, a JMX application imports this class and accesses it through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, JMX applications that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

Method Summary
`void` | `createPolicy(String resourceId, String expression)` Creates a policy for accessing a resource.
`void` | `removePolicy(String resourceId)` Removes a policy.
`void` | `setPolicyExpression(String resourceId, String expression)` Sets a policy expression for a resource.

Methods inherited from interface weblogic.management.security.authorization.PolicyReaderMBean
`getPolicyExpression, policyExists`

Methods inherited from interface weblogic.management.commo.StandardInterface
`getName, setName, wls_getDisplayName, wls_getInterfaceClassName, wls_getObjectName`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Methods inherited from interface weblogic.descriptor.SettableBean
`isSet, unSet`

Method Detail

### setPolicyExpression

    void setPolicyExpression(String resourceId,
                             String expression)
                             throws NotFoundException,
                                    CreateException

  Sets a policy expression for a resource.

  Parameters:
    `resourceId` - - The resource for which this method sets the policy expression. A null value will trigger NullPointerException.
    `expression` - - The expression that determines the type of access this policy allows to the resource. A null value prohibits any type of access.
  Throws:
    `NotFoundException`
    `CreateException`

### createPolicy

    void createPolicy(String resourceId,
                      String expression)
                      throws AlreadyExistsException,
                             CreateException

  Creates a policy for accessing a resource.

  Parameters:
    `resourceId` - - The ID of the resource. A null value will trigger NullPointerException.

    For information about creating resources, refer to the Javadoc for `weblogic.security.spi.Resource`.

    `expression` - - The expression that determines the type of access this policy allows to the resource. A null value prohibits any type of access.
  Throws:
    `AlreadyExistsException`
    `CreateException`

### removePolicy

    void removePolicy(String resourceId)
                      throws NotFoundException,
                             RemoveException

  Removes a policy.

  Parameters:
    `resourceId` - - The resource for which this method removes a policy. A null value may trigger NullPointerException.
  Throws:
    `NotFoundException`
    `RemoveException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD